org.apache.bcel.classfile

## Class BootstrapMethods

- java.lang.Object
- - org.apache.bcel.classfile.Attribute
  - - org.apache.bcel.classfile.BootstrapMethods

- All Implemented Interfaces:
    Cloneable, Node

      public class BootstrapMethods
      extends Attribute

  This class represents a BootstrapMethods attribute.
  Since:
    6.0
  See Also:
    The class File Format : The BootstrapMethods Attribute

- - ### Field Summary

    - ### Fields inherited from class org.apache.bcel.classfile.Attribute

      `constant_pool, length, name_index, tag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BootstrapMethods(BootstrapMethods c)` Initialize from another object.
    `BootstrapMethods(int name_index, int length, BootstrapMethod[] bootstrap_methods, ConstantPool constant_pool)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(Visitor v)` Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class.
    `BootstrapMethods` | `copy(ConstantPool _constant_pool)`
    `void` | `dump(DataOutputStream file)` Dump bootstrap methods attribute to file stream in binary format.
    `BootstrapMethod[]` | `getBootstrapMethods()`
    `void` | `setBootstrapMethods(BootstrapMethod[] bootstrap_methods)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.bcel.classfile.Attribute

      `addAttributeReader, addAttributeReader, clone, getConstantPool, getLength, getName, getNameIndex, getTag, readAttribute, readAttribute, removeAttributeReader, setConstantPool, setLength, setNameIndex`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BootstrapMethods

          public BootstrapMethods(BootstrapMethods c)

      Initialize from another object. Note that both objects use the same references (shallow copy). Use clone() for a physical copy.

    - #### BootstrapMethods

          public BootstrapMethods(int name_index,
                                  int length,
                                  BootstrapMethod[] bootstrap_methods,
                                  ConstantPool constant_pool)

      Parameters:
        `name_index` - Index in constant pool to CONSTANT_Utf8
        `length` - Content length in bytes
        `bootstrap_methods` - array of bootstrap methods
        `constant_pool` - Array of constants

  - ### Method Detail

    - #### getBootstrapMethods

          public final BootstrapMethod[] getBootstrapMethods()

      Returns:
        array of bootstrap method "records"

    - #### setBootstrapMethods

          public final void setBootstrapMethods(BootstrapMethod[] bootstrap_methods)

      Parameters:
        `bootstrap_methods` - the array of bootstrap methods

    - #### accept

          public void accept(Visitor v)

      Description copied from class: `Attribute`
      Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class. I.e., the hierarchy of methods, fields, attributes, etc. spawns a tree of objects.
      Specified by:
        `accept` in interface `Node`
      Specified by:
        `accept` in class `Attribute`
      Parameters:
        `v` - Visitor object

    - #### copy

          public BootstrapMethods copy(ConstantPool _constant_pool)

      Specified by:
        `copy` in class `Attribute`
      Returns:
        deep copy of this attribute

    - #### dump

          public final void dump(DataOutputStream file)
                          throws IOException

      Dump bootstrap methods attribute to file stream in binary format.
      Overrides:
        `dump` in class `Attribute`
      Parameters:
        `file` - Output file stream
      Throws:
        `IOException`

    - #### toString

          public final String toString()

      Overrides:
        `toString` in class `Attribute`
      Returns:
        String representation.

Copyright © 2004–2019 The Apache Software Foundation. All rights reserved.